subroutine sub_cpdf(nsmp,jpdf,cpdf,dx)

  implicit none
  
  ! Input
  integer nsmp
  real*8,dimension(nsmp,nsmp) :: jpdf
  real*8,dimension(2) :: dx
  
  ! Output
  real*8,dimension(nsmp,nsmp) :: cpdf
  
  ! Intern
  real*8,dimension(nsmp) :: pdf
  integer i,j
  real*8 norm
  
  pdf = 0.0d0
  
  do i=1,nsmp
    do j=1,nsmp
      pdf(i) = pdf(i) + jpdf(j,i)
    end do
  end do
  
  pdf = pdf*dx(1)
  
  norm = 0.0d0
  
  do i=1,nsmp
    norm = norm + pdf(i)
  end do
  
  norm = norm*dx(2)
  
  print*, 'Norm:', norm
  
  do i=1,nsmp
    do j=1,nsmp
      if (pdf(j) > 0.0d0) then
	cpdf(i,j) = jpdf(i,j) / pdf(j)
      else
	cpdf(i,j) = 0.0d0
      end if
    end do
  end do
  
end subroutine